jQuery.noConflict();
function showRight(obj, index){
	$(obj).addClass('wst-goodscate_selected').siblings('#goodscate').removeClass('wst-goodscate_selected');
	jQuery('.goodscate1').eq(index).fadeIn(200).siblings('.goodscate1').hide();
	inSwiper(index+1);
}
//适应高度
function selfAdapt(h){
	var o = document.getElementById('ui-scrollerl');
	var a = h-86;
	o.style.height=a+'px';
}
//轮播图
function inSwiper(n){
    if($('.category-ads'+n+' a').hasClass("img")){
        new Swiper('.category-ads'+n, {
            autoplay: true,
            autoHeight: true, //高度随内容变化
            width: window.innerWidth,
            on: {
                resize: function(){
                    this.params.width = window.innerWidth;
                    this.update();
                },
            } ,
            pagination: {
                el: '.pagination-ads'+n,
                type: 'bullets',
            },
        });
    }else{
    	$('.category-ads'+n).hide();
    }
}
var height = WST.pageHeight();
$(document).ready(function(){
	WST.initFooter('category');
	selfAdapt(height);
	inSwiper(1);
    $(window).scroll(function(event){
    	var h = WST.pageHeight();
    	selfAdapt(h);
    });
    var scroll = new fz.Scroll('.ui-scrollerl', {
        scrollY: true,
        slidingY: 'y'
    });
    var w = $('.goods-cat-img').width();
    $('.goods-cat-img').css('height',w);
});